<template>
  <layout-vue page="Upload" :arrow="false">
    <div>
      <div class="form-group">
        <label for="email">Name</label>
        <input type="text" class="form-control" :class="error ? 'is-invalid':''" id="name" aria-describedby="name" placeholder="Enter name" v-model="values.name">
        <div class="invalid-feedback" v-if="error">
          Please provide a valid state.
        </div>
      </div>
      <div class="form-group">
        <label for="email">Name</label>
        <input type="file" class="form-control" :class="error ? 'is-invalid':''" id="file" aria-describedby="file" placeholder="Enter file" @change="onFileChanged">
        <div class="invalid-feedback" v-if="error">
          Please provide a valid state.
        </div>
      </div>
      <div class="pb-2">
        <button class="btn btn-primary" @click.stop.prevent="onUpload" style="width: 100%;">Submit</button>
      </div>
    </div>
  </layout-vue>
</template>

<script>
import LayoutVue from '@/layouts/LayoutVue';

export default {
  name: 'home',
  components: {
    LayoutVue
  },
  data () {
    return {
      error: false,
      message: '',
      values: {
        file: '',
        name: ''
      },
      selectedFile: ''
    }
  },
  methods: {
    onFileChanged (event) {
      this.selectedFile = event.target.files[0]
    },
    onUpload() {
      let headers = {'Authorization': "bearer " + token}
      const formData = new FormData()
      formData.append('file', this.selectedFile, this.selectedFile.name)

      this.$http.post('itens/store', formData, {
        onUploadProgress: progressEvent => {
          console.log(progressEvent.loaded / progressEvent.total)
        }
      }, headers)
      .then(response => {
        this.error = false
      })
      .catch(error => {
        this.error = true
        if (error) {
          this.message = 'File not suported'
        }else{
          this.message = 'Server unavailable, try again later'
        }
      })
    },
  }
}
</script>
